/***********************************************************************
  Sample program

   Generated at 2016-02-02 22:04:44

 ***********************************************************************/

/* {{UC3_INCLUDE */
#include "kernel.h"
#include "kernel_id.h"
#include "kernel_cfg.h"
#include "hw_dep.h"
/* }}UC3_INCLUDE */
#ifdef __IAR_SYSTEMS_ICC__
#include <intrinsics.h>
#endif

/******************************************************************
    No Heap
 ******************************************************************/
#ifdef __CC_ARM
#pragma import(__use_no_heap)
#endif

/* {{UC3_CODE */


/******************************************************************
    Default interrupt handler
     Reached when the interrupt is accepted even though it is not the generation of an
     interrupt service routine also define the interrupt handler.
 ******************************************************************/

void int_abort(void)
{
    for(;;);
}

/*******************************
        undefined_instruction_handler
 *******************************/
/* {{UC3_EXC(undefined_instruction_handler) */
void undefined_instruction_handler(UW *reg, UW psr)
{
}
/* }}UC3_EXC */

/* }}UC3_CODE */


/*******************************
        Main entry
 *******************************/

extern void hw_init(void);
extern void init_csys(T_CSYS* );
extern void initpr(void);

int main(void)
{
    T_CSYS csys;


    /* Initialize H/W */
    hw_init();
    _ddr_rzt1_vic_init();

    /* Generate system */
    init_csys(&csys);

    return (int)start_uC3(&csys, initpr);
}

/* end */
